<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>

<html>
<script language="C#" runat="server">

    public DataSet dsCustomers; 
 

    protected void Page_Load(Object Src, EventArgs E ) 
    {
        SQLConnection myConnection = new SQLConnection("server=localhost;uid=sa;pwd=;database=northwind");
	SQLDataSetCommand CustomersDSCommand = new SQLDataSetCommand("select * from customers", myConnection);
	SQLDataSetCommand OrdersDSCommand = new SQLDataSetCommand("select * from orders", myConnection);

	dsCustomers = new DataSet();
	DataRow Customer;
	
	CustomersDSCommand.FillDataSet(dsCustomers,"Customers");
	OrdersDSCommand.FillDataSet(dsCustomers,"Orders");

	//ADD RELATION
	dsCustomers.Relations.Add("CustOrders",dsCustomers.Tables["Customers"].Columns["CustomerId"],dsCustomers.Tables["Orders"].Columns["CustomerId"]);
	workParam = myCommand.Parameters.Add(new SQLParameter("@RegionID", SQLDataType.Int));
	workParam.Value = 201;

	dsCustomers.Tables["Customers"].Rows[0]["ContactName"]="Peach";

	// DELETE
	//dsCustomers.Tables["Customers"].Rows[dsCustomers.Tables["Customers"].Rows.Count-1].Delete;

	// ADD
	Customer = dsCustomers.Tables["Customers"].NewRow();
	Customer["CustomerId"] ="NewID";
	Customer["ContactName"] = "New Name";
	Customer["CompanyName"] = "New Copmany Name";
	dsCustomers.Tables["Customers"].Rows.Add(Customer);

/------------------Merge Conflict------------------\
+++++++++++++: Original source
	try
	{
	  myConnection.Open();
          myConnection.BeginTransaction();
          myCommand.Execute();
	  myConnection.CommitTransaction();
	}
	catch(Exception e)
	{
	  myConnection.RollbackTransaction();
	  response.write(e.ToString());
	}
	finally
	{
	  myConnection.Close();
	}
+++++++++++++: Current source
	try
	{
	  myConnection.Open();
          myConnection.BeginTransaction();
          myCommand.Execute();
	  myConnection.CommitTransaction();
	  Response.Write("Insert succeeded!");
	}
	catch(Exception e)
	{
	  myConnection.RollbackTransaction();
	  Response.Write(e.ToString());
	}
	finally
	{
	  myConnection.Close();
	}
+++++++++++++: User's version
	//Update Database with DatasetCommand
	CustomersDSCommand.Update(dsCustomers);
\-------------------End Conflict-------------------/

	
    }

</script>

<body>




</body>
</html>

